### Function

# GLib Date get_sunday_weeks_in_year

#### Declaration

    guint8
    g_date_get_sunday_weeks_in_year (
      GDateYear year
    )

#### Description

Returns the number of weeks in the year, where weeks are taken to start on Sunday. Will be 52 or 53. The date must be valid. (Years always have 52 7-day periods, plus 1 or 2 extra days depending on whether it’s a leap year. This function is basically telling you how many Sundays are in the year, i.e. there are 53 Sundays if one of the extra days happens to be a Sunday.)

#### Parameters

`year`

  Type: `GDateYear`

  Year to count weeks in.

#### Return value

Type: `guint8`

The number of weeks in `year`.